Bibliothèques proposées par IDE Arduino vs VSCode

Bonjour,

Je suis en train de découvrir VSCode/VSCodium + PlateformIO

Ayant quelques difficultés d'installation de bibliothèques, j'ai découvert ceci :

  • Quand je recherche ( c'est un exemple ) la bibliothèque ESP_WiFiManager, IDE Arduino me propose d'installer la dernière version 1.7.4 ( ESP_WiFiManager - Arduino Reference )

  • Par contre, quand je demande la même chose à VSCode/VSCodium, il ne propose d'installer que la version 1.3.0 ( et les antérieures ) qui date de 8 mois et ne me propose pas les postérieures ( il y en a quand même eu 14 nouvelles versions depuis ! )

Pourquoi ? VSCode/VSCodium a-t-il de bonnes raisons de ne pas me proposer les versions les plus récentes ?
Que me conseillez-vous de faire et pourquoi ? ( installer quelle version : la plus récente ou me contenter de celles que VSCode/VSCodium me propose ? )

Merci